=== modified file 'NEWS'
--- NEWS	2008-02-28 04:30:10 +0000
+++ NEWS	2008-03-03 23:11:53 +0000
@@ -1,7 +1,7 @@
 What's changed in loggerhead?
 =============================
 
-1.2  [XXfeb2008]
+1.2  [04mar2008]
 ----------------
 
     - Michael Hudson <michael.hudson@canonical.com> has mostly taken
@@ -23,9 +23,9 @@
     - Much dead code was removed.
 
     - Loggerhead now computes the files changed between revisions only
-      when it needs to know this, which is a fairly expensive
-      operation in Bazaar.  This massively improves performance and
-      memory usage in some situations.
+      when it needs to know this.  This is a fairly expensive
+      operation in Bazaar, and doing it less massively improves
+      performance and memory usage in some situations.
 
     - Loggerhead now takes a read lock on the branch being viewed for
       the duration of each request, which improves performance
@@ -38,12 +38,27 @@
     - The creation of History objects is much faster for large
       branches (Aaron Bentley).
 
+    - Allow the construction of URLs using revnos and file paths as
+      well as revids and fileids (bug #98826):
+
+      - For changes pages, append the newest revno to display to the
+        URL, like http://.../changes/<revno>
+
+      - For annotate pages, append the revno to display to the URL,
+        followed by the path, like http://.../annotate/<revno>/<path>
+
+      - For file listing and revision pages append the revno to
+        display to the URL, like http://.../files/<revno>
+
+      Loggerhead still generates URLs using revision and file ids for
+      the moment.
+
     - Many bugs were fixed:
 
       - Loggerhead does not escape special characters when embedding a
         revision ID in a URL (bug #88286)
 
-      - Improved robustness ines the face of ghosts.
+      - Improved robustness in the face of ghosts.
 
       - Don't crash on displaying a commit with an empty message (bug
         #86247)
@@ -57,9 +72,6 @@
       - Loggerhead atom feeds expose internal hostname (James
         Henstridge, bug #93585)
 
-      - Allow the construction of URLs using revnos and file paths as
-        well as revids and fileids (bug #98826)
-
       - loggerhead don't like page break character (0x0C) in text
         files (bug #113313)
 

=== modified file 'README.txt'
--- README.txt	2008-02-28 04:30:10 +0000
+++ README.txt	2008-03-03 23:10:35 +0000
@@ -1,40 +1,55 @@
 LOGGERHEAD
 ==========
 
-[ version 1.2 for bazaar 1.2 ]
+[ Version 1.2 for Bazaar 1.2 ]
 
-Loggerhead is a web viewer for bazaar branches.  It can be used to
+Loggerhead is a web viewer for Bazaar branches.  It can be used to
 navigate a branch history, annotate files, perform searches... all the
 usual things.
 
-This is a TurboGears (http://www.turbogears.org) project.  It can be
-started by running::
+To get started, first you need to create a 'loggerhead.conf' file
+specifying the branches you want to view.  A 'loggerhead.conf.example'
+file is included in the source which has comments explaining the
+various options.
+
+Loggerhead can then be started by running::
 
     $ ./start-loggerhead.py
 
-This will run loggerhead in the background.  To stop it, run::
+This will run loggerhead in the background.  It listens on port 8080
+by default, so go to http://localhost:8080/ in your browser to see the
+list of bublished branches.
+
+To stop Loggerhead, run::
 
     $ ./stop-loggerhead.py
 
-If you're not familiar with TurboGears, the simplest way to get running
-is to add the lines like the following to your apache configuration::
+If you want to view Bazaar branches from your existing Apache
+installation, you'll need to configure Apache to proxy certain
+requests to Loggerhead.  Adding lines like this to you Apache
+configuration is one way to do this::
 
     <Location "/branches/">
         ProxyPass http://127.0.0.1:8080/
         ProxyPassReverse http://127.0.0.1:8080/
     </Location>
 
-The config file is "loggerhead.conf".  In there, you can configure
-projects, and branches per project.  The idea is that you could be
-publishing several (possibly unrelated) projects through the same
-loggerhead instance, and several branches for the same project.  A
-commented example of a configuration file is loggerhead.conf.example
+In the configuration file you can configure projects, and branches per
+project.  The idea is that you could be publishing several (possibly
+unrelated) projects through the same loggerhead instance, and several
+branches for the same project.  See the "loggerhead.conf.example" file
 included with the source.
 
-Don't bother with "dev.cfg" or any of the other TurboGears config files.
-Loggerhead overrides those values with its own.
-
-A debug and access log are stored in the logs/ folder.
+Although Loggerhead is a TurboGears (http://www.turbogears.org)
+project, don't bother with "dev.cfg" or any of the other TurboGears
+config files.  Loggerhead overrides those values with its own.
+
+A debug and access log are stored in the logs/ folder, relative to
+the location of the start-loggerhead.py script.
+
+You may update the Bazaar branch at any time (for example, from a cron).
+Loggerhead will notice and refresh, and Bazaar uses its own branch
+locking to prevent corruption.
 
 
 CACHES
@@ -47,8 +62,7 @@
     - a cache of files changed in a revision
     - a text searching cache
 
-You can put the cache folder anywhere, but I find that a folder under
-the branch's .bzr/ folder is the simplest place.
+You can put the cache folder anywhere.
 
 The revision data cache and text searching cache will be automatically
 filled once loggerhead starts up.  The caches for a branch with 15,000
@@ -56,13 +70,14 @@
 mileage may vary.  Once they are built, they update every six hours or
 so but usually finish quickly (or instantly) after the initial creation.
 
-You may update the bazaar branch at any time (for example, from a cron).
-Loggerhead will notice and refresh, and bazaar uses its own branch
-locking to prevent corruption.
-
 
 SUPPORT
 -------
 
-This is loosely based on bazaar-webserve, which was loosely based on hgweb.
-Discussion should take place on the bazaar-dev mailing list.
+Loggerhead is loosely based on bazaar-webserve, which was loosely
+based on hgweb.  Discussion should take place on the bazaar-dev
+mailing list at bazaar@lists.canonical.com.  You can join the list at
+<https://lists.ubuntu.com/mailman/listinfo/bazaar>.  You don't need to
+subscribe to post, but your first post will be held briefly for manual
+moderation.
+

=== modified file 'loggerhead.conf.example'
--- loggerhead.conf.example	2007-06-18 23:07:53 +0000
+++ loggerhead.conf.example	2008-03-06 07:30:37 +0000
@@ -5,6 +5,9 @@
 # use this if you're mapping loggerhead within apache via proxy
 #server.webpath = 'http://example.com/branches'
 
+# use this if you want loggerhead to listen to another interface than 127.0.0.1
+# server.socket_host = 'your_hostname_or_ip'
+
 # where's bzrlib?
 # (you only need this if you don't install bzr.)
 #bzrpath = '/Users/robey/code/bzr/bzr'

=== modified file 'loggerhead/release.py'
--- loggerhead/release.py	2008-02-28 04:34:51 +0000
+++ loggerhead/release.py	2008-02-28 04:45:06 +0000
@@ -9,4 +9,4 @@
 
 license = "GPL"
 url = "http://launchpad.net/loggerhead"
-download_url = "XXX"
+download_url = "https://launchpad.net/loggerhead/trunk/1.2/+download/loggerhead-1.2.tar.gz"

=== modified file 'start-loggerhead.py'
--- start-loggerhead.py	2007-09-04 17:06:03 +0000
+++ start-loggerhead.py	2008-03-06 07:30:37 +0000
@@ -86,7 +86,7 @@
     
     turbogears.update_config(configfile="dev.cfg", modulename="loggerhead.config")
     
-    potential_overrides = [ ('server.socket_port', int), ('server.webpath', str), ('server.thread_pool', int) ]
+    potential_overrides = [ ('server.socket_port', int), ('server.webpath', str), ('server.thread_pool', int), ('server.socket_host' ,str) ]
     for key, keytype in potential_overrides:
         value = config.get(key, None)
         if value is not None:

